JH_SETUPENVIRONMENT(1)

NAME
jh_setupenvironment - Prepares a build environment to compile an eclipse feature.

SYNOPSIS
jh_setupenvironment [debhelper options] [--pde-build-dir=dir] [copy [...]]

DESCRIPTION
jh_setupenvironment is a javahelper program that handles creating an environment for building an eclipse feature. It does not setup an orbit dir (use jh_generateorbitdir for that). It will copy files specified in debian/eclipse.environment as well as those given on command line into the environment dir. If no files are given per command line and the environment file is not present (or is empty), it will default to "org.eclipse.*"

FILES

debian/eclipse.environment
    List of file- and directory glob patterns to copy into the build environment.

OPTIONS

--pde-build-dir=dir
    Specifies where the environment should be or is placed.

--clean
    If passed, jh_setupenvironment will clean up the build environment. When cleaning jh_setupenvironment will not record itself in the debhelper log to avoid confusing dh, when it has to use the log to trace where it was.

EXAMPLE
  jh_setupenvironment org.eclipse.* debian/*.properties

Will clone all files and folders starting with "org.eclipse." and all property files in the debian-folder and put them into the environment.

SEE ALSO
debhelper(7)

This program is a part of javahelper and uses debhelper as backend. There are also tutorials in /usr/share/doc/javahelper.

AUTHOR
Niels Thykier <niels@thykier.net>

COPYRIGHT AND LICENSE
Copyright 2010 by Niels Thykier

This tool is free software; you may redistribute it and/or modify it under the terms of GNU GPL 2.